; Original code is based on Portable Thunderbird launcher. 
; Edited for using with Psi Im by Arcao <arcao@arcao.com>

!define NAME "PortablePsi"
!define VER "0.0.2"

;Use UPX?
;!packhdr "C:\tmp.dat" "upx.exe --best --crp-ms=999999 C:\tmp.dat"

;=== Out program information
Name "${NAME}"
OutFile "${NAME}.exe"
Caption "${NAME} - Making Psi Portable"

CRCCheck On
WindowIcon Off
SilentInstall Silent
AutoCloseWindow True

;=== Set program icon
Icon "${NAME}.ico"

Var PSIPATH
Var PSIDATADIR

Section "Main"
	
	;=== Get the path information from the INI file
	IfFileExists "$EXEDIR\${NAME}.ini" ReadINI NoINI
	ReadINI:
		ReadINIStr $0 "$EXEDIR\${NAME}.ini" "${NAME}" "psipath"
		StrCpy "$PSIPATH" $0
		ReadINIStr $0 "$EXEDIR\${NAME}.ini" "${NAME}" "psidatadir"
		StrCpy "$PSIDATADIR" $0
		IfErrors NoINI EndINI
	NoINI:
		MessageBox MB_OK "Unable to find configuration file $\"$EXEDIR\${NAME}.ini$\". Click OK to exit." IDOK
		Goto TheEnd
	EndINI:
  
	System::Call 'Kernel32::SetEnvironmentVariableA(t, t) i("PSIDATADIR", "$PSIDATADIR").r0'
  StrCmp $0 0 error
    Exec "$PSIPATH\psi.exe"
    Goto done
  error:
    MessageBox MB_OK "I can't set environment variable. Click OK to exit."
  done:

TheEnd:
SectionEnd
